%define apuver 0

%define real_name apr-util

Summary: Apache Portable Runtime Utility library
Name: apr0-util
Version: 0.9.19
Release: 1
License: Apache Software License 2.0
Group: System Environment/Libraries
URL: http://apr.apache.org/
Source0: http://www.apache.org/dist/apr/%{real_name}-%{version}.tar.bz2
Source1: http://www.apache.org/dist/apr/%{real_name}-%{version}.tar.bz2.asc
Source2: http://www.apache.org/dist/apr/%{real_name}-%{version}.tar.bz2.md5
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%define _libdir64 %{_prefix}/lib64

BuildRequires: apr0-devel < 1.0.0
BuildRequires: expat-devel >= 2.0.1-2
Requires: apr0 < 1.0.0
Requires: expat >= 2.0.1-2

%description
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines.  This library
contains additional utility interfaces for APR; including support
for XML, LDAP, database interfaces, URI parsing and more.


%package devel
Group: Development/Libraries
Summary: APR utility library development kit
Requires: %{name} = %{version}-%{release}
Requires: apr0-devel < 1.0.0
Requires: expat-devel >= 2.0.1-2

%description devel
This package provides the support files which can be used to 
build applications using the APR utility library.  The mission 
of the Apache Portable Runtime (APR) is to provide a free 
library of C data structures and routines.


%prep
%setup -q -n %{real_name}-%{version}
mkdir -p ../64bit
cp -r * ../64bit/
mv ../64bit .


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

cd 64bit
# first build the 64-bit version
export CC="cc -q64"
autoheader && autoconf
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir64} \
    --enable-static --enable-shared \
    --with-apr=%{_prefix} \
    --includedir=%{_includedir}/apr-%{apuver}
make %{?_smp_mflags}

cd ..
# now build he 32-bit version
autoheader && autoconf
export CC="cc"
./configure \
    --prefix=%{_prefix} \
    --enable-static --enable-shared \
    --with-apr=%{_prefix} \
    --includedir=%{_includedir}/apr-%{apuver}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
make DESTDIR=${RPM_BUILD_ROOT} install

cd ..
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib lib64
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc CHANGES LICENSE NOTICE
%{_libdir}/*.so*
%{_libdir64}/*.so*
/usr/lib/*.so*
/usr/lib64/*.so*


%files devel
%defattr(-,root,system,-)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/aprutil.exp
%{_libdir64}/aprutil.exp
%{_libdir}/*.a
%{_libdir64}/*.a
%{_libdir}/*.la
%{_libdir64}/*.la
/usr/bin/*
/usr/include/*
/usr/lib/*.a
/usr/lib64/*.a
/usr/lib/*.la
/usr/lib64/*.la


%changelog
* Fri Jan 14 2011 Michael Perzl <michael@perzl.org> - 0.9.19-1
- updated to version 0.9.19

* Tue Apr 21 2009 Michael Perzl <michael@perzl.org> - 0.9.15-1
- first version for AIX V5.1 and higher
